Loading...
Searching...
No Matches
Ogre::RTShader::ProgramSet Class Reference
Optional Components » RTShaderSystem

Container class for shader based programs. More...

`#include <OgreShaderProgramSet.h>`

Inheritance diagram for Ogre::RTShader::ProgramSet:
[legend]

## Public Member Functions

| ProgramSet ()
| Class default constructor.
| ~ProgramSet ()
| Class destructor.
Program * | getCpuProgram (GpuProgramType type) const
| Get the shader CPU program.
const GpuProgramPtr & | getGpuProgram (GpuProgramType type) const
| Get the shader GPU program.

## Detailed Description

Container class for shader based programs.

Holds both a CPU representation and GPU representation of vertex and fragment program.

## Constructor & Destructor Documentation

## ProgramSet()

Ogre::RTShader::ProgramSet::ProgramSet | ( |  | ) |

Class default constructor.

## ~ProgramSet()

Ogre::RTShader::ProgramSet::~ProgramSet | ( |  | ) |

Class destructor.

## Member Function Documentation

## getCpuProgram()

Program * Ogre::RTShader::ProgramSet::getCpuProgram | ( | GpuProgramType | type | ) | const

Get the shader CPU program.

## getGpuProgram()

const GpuProgramPtr & Ogre::RTShader::ProgramSet::getGpuProgram | ( | GpuProgramType | type | ) | const

Get the shader GPU program.

The documentation for this class was generated from the following file:

- OgreShaderProgramSet.h